aboutsummaryrefslogtreecommitdiff
path: root/misc/cgo/testshared/test.bash
diff options
context:
space:
mode:
Diffstat (limited to 'misc/cgo/testshared/test.bash')
-rwxr-xr-xmisc/cgo/testshared/test.bash1
1 files changed, 1 insertions, 0 deletions
diff --git a/misc/cgo/testshared/test.bash b/misc/cgo/testshared/test.bash
index 21004adaf8..0b0d0411f7 100755
--- a/misc/cgo/testshared/test.bash
+++ b/misc/cgo/testshared/test.bash
@@ -78,6 +78,7 @@ ensure_ldd $rootdir/libdep.so $std_install_dir/$soname
# And exe that links against both
go install -installsuffix="$mysuffix" -linkshared exe
+./bin/exe || die "./bin/exe failed with code $?"
ensure_ldd ./bin/exe $rootdir/libdep.so
ensure_ldd ./bin/exe $std_install_dir/$soname